summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVadim A. Misbakh-Soloviov <mva@mva.name>2013-05-05 14:20:59 +0700
committerVadim A. Misbakh-Soloviov <mva@mva.name>2013-05-05 14:20:59 +0700
commitd88765e786bddf026774f5e9bc677b8a5df622d1 (patch)
tree03e862b297f5d7f92944eaf11843c46462b04ced /dev-util
parent[games-strategy/swordsandsoldiers] icon fixed (diff)
downloadgamerlay-d88765e786bddf026774f5e9bc677b8a5df622d1.tar.gz
gamerlay-d88765e786bddf026774f5e9bc677b8a5df622d1.tar.bz2
gamerlay-d88765e786bddf026774f5e9bc677b8a5df622d1.zip
[dev-util/adobe-air-sdk-bin] Added + fixed steam dep (instead of air-runtime from steam overlay)
Signed-off-by: Vadim A. Misbakh-Soloviov <mva@mva.name>
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/adobe-air-sdk-bin/Manifest1
-rw-r--r--dev-util/adobe-air-sdk-bin/adobe-air-sdk-bin-2.6.ebuild74
-rw-r--r--dev-util/adobe-air-sdk-bin/files/adobe-air-sdk-bin.xml17
-rw-r--r--dev-util/adobe-air-sdk-bin/files/airstart34
-rw-r--r--dev-util/adobe-air-sdk-bin/files/airstart.desktop10
5 files changed, 136 insertions, 0 deletions
diff --git a/dev-util/adobe-air-sdk-bin/Manifest b/dev-util/adobe-air-sdk-bin/Manifest
new file mode 100644
index 0000000..a4751eb
--- /dev/null
+++ b/dev-util/adobe-air-sdk-bin/Manifest
@@ -0,0 +1 @@
+DIST AdobeAIRSDK-2.6.tbz2 37489410 SHA256 58912fc6797bcbab49de1f4accb4743a72e7b20384bae1babf9242ac88007501 SHA512 8185db9749f05bd60f3e52bf12de779c9f22da73142aca41326f57e24ef9b62c8f4bd9b7ba28cd110c7c4288d61870a8a9b8806bd51ae5cfd860aa57745d4527 WHIRLPOOL 38ae4dc5c74352224f8f20d6bf1f1c741e648cb6c3f66849487fd1f392bbad8bfdacb9765761db40e1ad0da6ff1bbc6e8103c3a5ba2eb7594e5bf5ca6c1d884d
diff --git a/dev-util/adobe-air-sdk-bin/adobe-air-sdk-bin-2.6.ebuild b/dev-util/adobe-air-sdk-bin/adobe-air-sdk-bin-2.6.ebuild
new file mode 100644
index 0000000..0295b14
--- /dev/null
+++ b/dev-util/adobe-air-sdk-bin/adobe-air-sdk-bin-2.6.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+
+inherit eutils fdo-mime multilib
+
+DESCRIPTION="Adobe AIR SDK"
+HOMEPAGE="http://www.adobe.com/products/air/tools/sdk/"
+SRC_URI="http://airdownload.adobe.com/air/lin/download/${PV}/AdobeAIRSDK.tbz2 -> AdobeAIRSDK-${PV}.tbz2"
+
+LICENSE="AdobeAirSDK"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="strip"
+
+RDEPEND="app-arch/unzip
+ x86? ( dev-libs/libxml2
+ dev-libs/nspr
+ dev-libs/nss
+ media-libs/libpng
+ net-misc/curl
+ www-plugins/adobe-flash
+ x11-libs/cairo
+ x11-libs/gtk+ )
+ amd64? ( app-emulation/emul-linux-x86-baselibs
+ app-emulation/emul-linux-x86-gtklibs )"
+
+QA_PRESTRIPPED=".*\.so /opt/Adobe/AirSDK/bin/adl"
+QA_EXECSTACK="*/libCore.so */libcurl.so */libadobecertstore.so */libadobecp.so"
+QA_TEXTRELS="*/libcurl.so"
+
+src_install() {
+ local sdkdir=opt/Adobe/AirSDK
+ local rtdir='runtimes/air/linux/Adobe AIR/Versions/1.0'
+
+ # remove the broken symlinks
+ rm -r "${rtdir}"/Resources/nss3/{0d,1d} || die "removing cruft failed"
+ if use x86; then
+ rm "${rtdir}"/Resources/lib{curl,flashplayer}.so || die "removing cruft failed"
+ fi
+
+ insinto /${sdkdir}
+ doins -r * || die "doins failed"
+
+ cd "${D}"
+ fperms 0755 ${sdkdir}/bin/* ${sdkdir}/"${rtdir}"/{libCore.so,Resources/lib*.so*} \
+ || die "chmod failed"
+
+ use x86 && make_wrapper adl /${sdkdir}/bin/adl . /usr/lib/nss:/usr/lib/nspr:/opt/netscape/plugins /opt/bin
+ use amd64 && make_wrapper adl /${sdkdir}/bin/adl . /usr/lib32:/usr/lib32/nss:/usr/lib32/nspr /opt/bin
+
+ exeinto /opt/bin
+ doexe "${FILESDIR}"/airstart || die "doexe failed"
+
+ # install the file association
+ # (we can't use make_desktop_entry because we like to have NoDisplay)
+ domenu "${FILESDIR}"/airstart.desktop || die "domenu failed"
+
+ insinto /usr/share/mime/packages
+ doins "${FILESDIR}"/${PN}.xml || die "doins failed"
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+}
diff --git a/dev-util/adobe-air-sdk-bin/files/adobe-air-sdk-bin.xml b/dev-util/adobe-air-sdk-bin/files/adobe-air-sdk-bin.xml
new file mode 100644
index 0000000..14e4e6b
--- /dev/null
+++ b/dev-util/adobe-air-sdk-bin/files/adobe-air-sdk-bin.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
+ <mime-type type="application/vnd.adobe.air-application-installer-package+zip">
+ <comment>Adobe AIR application</comment>
+ <comment xml:lang="pl">Aplikacja Adobe AIR</comment>
+ <magic priority="50">
+ <match value="PK\003\004" type="string" offset="0">
+ <match value="mimetype" type="string" offset="30">
+ <match value="application/vnd.adobe.air-application-installer-package+zip" type="string" offset="38"/>
+
+ <match value="application/vnd.adobe.apollo-application-installer-package+zip" type="string" offset="38"/>
+ </match>
+ </match>
+ </magic>
+ <glob pattern="*.air"/>
+ </mime-type>
+</mime-info>
diff --git a/dev-util/adobe-air-sdk-bin/files/airstart b/dev-util/adobe-air-sdk-bin/files/airstart
new file mode 100644
index 0000000..db76d6c
--- /dev/null
+++ b/dev-util/adobe-air-sdk-bin/files/airstart
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+synopsis() {
+ echo "Synopsis: $0 appl.air" >&2
+ exit 1
+}
+
+[ -z "$1" ] && synopsis
+
+tmpdir="$(mktemp -d /tmp/adobeair.XXXXXXXXXX)"
+
+cleanup() {
+ rm -rf "${tmpdir}"
+}
+
+runair() {
+ if [ ! -f "$1" ]; then
+ echo 'Specified application file not found:' "$1" >&2
+ cleanup
+ synopsis
+ return 1
+ fi
+
+ if ! unzip -q "$1" -d "${tmpdir}"; then
+ echo 'Unable to extract AIR application:' "$1" >&2
+ return 1
+ fi
+
+ /opt/bin/adl -nodebug "${tmpdir}"/META-INF/AIR/application.xml "${tmpdir}"
+}
+
+trap cleanup HUP INT QUIT TERM
+runair "$1"
+cleanup
diff --git a/dev-util/adobe-air-sdk-bin/files/airstart.desktop b/dev-util/adobe-air-sdk-bin/files/airstart.desktop
new file mode 100644
index 0000000..c4616ff
--- /dev/null
+++ b/dev-util/adobe-air-sdk-bin/files/airstart.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=Adobe AIR SDK application starter
+Comment=Start Adobe AIR applications using the SDK
+Exec=airstart %f
+NoDisplay=true
+Terminal=false
+Icon=/opt/Adobe/AirSDK/samples/icons/AIRApp_128.png
+MimeType=application/vnd.adobe.air-application-installer-package+zip;application/vnd.adobe.apollo-application-installer-package+zip;